<?php

namespace App;

class Cart
{
    public $items = null;
    public $totalQty = 0;
    public $totalCostPrice = 0;
    public $totalPrice = 0;

    public function __construct($oldCart)
    {
        if ($oldCart) {
            $this->items = $oldCart->items;
            $this->totalQty = $oldCart->totalQty;
            $this->totalCostPrice = $oldCart->totalCostPrice;
            $this->totalPrice = $oldCart->totalPrice;
        }
    }

    public function add($item, $id, $qty)
    {
        $storedItem = ['qty' => 0, 'price' => $item->price, 'costPrice' => $item->costprice, 'item' => $item];
        if ($this->items) {
            if (array_key_exists($id, $this->items)) {
                $storedItem = $this->items[$id];
            }
        }
        $storedItem['qty'] += $qty;
        if ($storedItem['qty'] > $item->amount) {
            return false;
        } elseif ($storedItem['qty'] < 1) {
            return false;
        } else {
            $storedItem['price'] = $item->price * $storedItem['qty'];
            $storedItem['costPrice'] = $item->costprice * $storedItem['qty'];
            $this->items[$id] = $storedItem;
            $this->totalQty += $qty;
            $this->totalCostPrice += $item->costprice * $qty;
            $this->totalPrice += $item->price * $qty;
            return true;
        }
    }

    public function remove($id)
    {
        if ($this->items) {
            $this->totalQty -= $this->items[$id]['qty'];
            $this->totalCostPrice -= $this->items[$id]['costPrice'];
            $this->totalPrice -= $this->items[$id]['price'];
            unset($this->items[$id]);
            return true;
        }
    }
}
