<?php

namespace App\Http\Controllers;

use App\Sale;
use App\SaleDetail;
use Carbon\Carbon;

class AccountController extends Controller
{
    public function accountDays()
    {
        $data = [
            'sales' => Sale::where('status', 1)->orderBy('created_at', 'desc')->get()->groupBy(function ($date) {
                return Carbon::parse($date->created_at)->format('Y-m-d');
            })
        ];
        return view('backend.stock_account_days_view', $data);
    }

    public function accountMonths()
    {
        $data = [
            'sales' => Sale::where('status', 1)->orderBy('created_at', 'desc')->get()->groupBy(function ($date) {
                return Carbon::parse($date->created_at)->format('Y-m');
            })
        ];
        return view('backend.stock_account_months_view', $data);
    }

    public function accountYears()
    {
        $data = [
            'sales' => Sale::where('status', 1)->orderBy('created_at', 'desc')->get()->groupBy(function ($date) {
                return Carbon::parse($date->created_at)->format('Y');
            })
        ];
        return view('backend.stock_account_years_view', $data);
    }
}
