<?php

namespace App\Http\Controllers;

use App\Category;
use App\Http\Requests\CategoryRequest;

class CategoryController extends Controller
{
    public function index()
    {
        $data = [
            'categories' => Category::all()
        ];
        return view('backend.stock_category_manage', $data);
    }

    public function create()
    {
        return view('backend.stock_category_create');
    }

    public function store(CategoryRequest $request)
    {
        if (!Category::where('name', $request->input('name'))->count() > 0) {
            $category = new Category();
            $category->name = $request->input('name');
            if ($category->save()) {
                return redirect('stock/category')->with('success', 'เพิ่มหมวดหมู่เรียบร้อย');
            } else {
                return back()->withErrors('เพิ่มหมวดหมู่ผิดพลาด');
            }
        } else {
            return back()->withErrors('ชื่อหมวดหมู่ที่จะเพิ่ม ซ้ำ!');
        }
    }

    public function edit($id)
    {
        $data = [
            'category' => Category::where('id', $id)->firstOrFail()
        ];
        return view('backend.stock_category_edit', $data);
    }

    public function update(CategoryRequest $request, $id = null)
    {
        if (!Category::where('id', '!=', $id)->where('name', $request->input('name'))->count() > 0) {
            $category = Category::findOrFail($id);
            $category->name = $request->input('name');
            if ($category->save()) {
                return redirect('stock/category')->with('success', 'เปลี่ยนแปลงข้อมูลชื่อหมวดหมู่เรียบร้อย');
            } else {
                return back()->withErrors('เปลี่ยนแปลงข้อมูลชื่อหมวดหมู่ผิดพลาด');
            }
        } else {
            return back()->withErrors('ชื่อหมวดหมู่ที่จะแก้ไข ซ้ำ!');
        }
    }

    public function destroy($id)
    {
        $category = Category::findOrFail($id);
        if ($category->delete()) {
            return redirect('stock/category')->with('success', 'ลบหมวดหมู่เรียบร้อย');
        } else {
            return back()->withErrors('ลบหมวดหมู่ผิดพลาด');
        }

    }

}
