<?php

namespace App\Http\Controllers;

use App\Http\Requests\LocationRequest;
use App\Location;

class LocationController extends Controller
{
    public function index()
    {
        $data = [
            'locations' => Location::all()
        ];
        return view('backend.stock_location_manage', $data);
    }

    public function create()
    {
        return view('backend.stock_location_create');
    }

    public function store(LocationRequest $request)
    {
        if (!Location::where('name', $request->input('name'))->count() > 0) {
            $location = new Location();
            $location->name = $request->input('name');
            if ($location->save()) {
                return redirect('stock/location')->with('success', 'เพิ่มชื่อสถานที่เก็บเรียบร้อย');
            } else {
                return back()->withErrors('เพิ่มชื่อสถานที่เก็บผิดพลาด');
            }
        } else {
            return back()->withErrors('ชื่อสถานที่เก็บที่จะเพิ่ม ซ้ำ!');
        }
    }

    public function edit($id)
    {
        $data = [
            'location' => Location::where('id', $id)->firstOrFail()
        ];
        return view('backend.stock_location_edit', $data);
    }

    public function update(LocationRequest $request, $id = null)
    {
        if (!Location::where('id', '!=', $id)->where('name', $request->input('name'))->count() > 0) {
            $location = Location::findOrFail($id);
            $location->name = $request->input('name');
            if ($location->save()) {
                return redirect('stock/location')->with('success', 'เปลี่ยนแปลงข้อมูลชื่อสถานที่เก็บเรียบร้อย');
            } else {
                return back()->withErrors('เปลี่ยนแปลงข้อมูลชื่อสถานที่เก็บผิดพลาด');
            }
        } else {
            return back()->withErrors('ชื่อสถานที่เก็บที่จะแก้ไข ซ้ำ!');
        }
    }

    public function destroy($id)
    {
        $location = Location::findOrFail($id);
        if ($location->delete()) {
            return redirect('stock/location')->with('success', 'ลบสถานที่เก็บเรียบร้อย');
        } else {
            return back()->withErrors('ลบสถานที่เก็บผิดพลาด');
        }

    }
}
