<?php

namespace App\Http\Controllers;

use App\Product;
use App\Sale;
use App\SaleDetail;
use App\SaleLog;
use Illuminate\Support\Facades\Auth;

class SaleController extends Controller
{
    public function index()
    {
        $data = [
            'sales' => Sale::all()
        ];
        return view('backend.stock_sale_manage', $data);
    }

    public function saleLogs()
    {
        $data = [
            'saleLogs' => SaleLog::all()
        ];
        return view('backend.stock_sale_logs', $data);
    }

    public function saleDetailView($id)
    {
        $data = [
            'sale' => $sale = Sale::where('id', $id)->firstOrFail(),
            'saleDetails' => SaleDetail::where('sale_id', $sale->id)->get()
        ];
        return view('backend.stock_saleDetail_view', $data);
    }

    public function cancelSale($id)
    {
        $sale = Sale::findOrFail($id);
        foreach (SaleDetail::where('sale_id', $sale->id)->get() as $item) {
            $product = Product::where('barcode', $item->product_barcode)->firstOrFail();
            $product->amount = $product->amount + $item->amount;
            $product->save();
        }
        $sale->status = 0;
        if ($sale->save()) {
            $sale_log = new SaleLog();
            $sale_log->sale_id = $sale->id;
            $sale_log->user_id = Auth::user()->id;
            $sale_log->user_fullname = Auth::user()->profile->fullname;
            $sale_log->save();
            return redirect('stock/sale')->with('success', 'ยกเลิกรายการขายสำเร็จ');
        } else {
            return back()->withErrors('การยกเลิกรายการขายผิดพลาด');
        }
    }

}
