<?php

namespace App\Http\Controllers;


use App\Http\Requests\SupplierRequest;
use App\Supplier;

class SupplierController extends Controller
{
    public function index()
    {
        $data = [
            'suppliers' => Supplier::all()
        ];
        return view('backend.stock_supplier_manage', $data);
    }

    public function create()
    {
        return view('backend.stock_supplier_create');
    }

    public function store(SupplierRequest $request)
    {
        if (!Supplier::where('name', $request->input('name'))->count() > 0) {
            $supplier = new Supplier();
            $supplier->name = $request->input('name');
            $supplier->address = $request->input('address');
            $supplier->phone = $request->input('phone');
            $supplier->status = 0;
            if ($supplier->save()) {
                return redirect('stock/supplier')->with('success', 'เพิ่มข้อมูลผู้ผลิตเรียบร้อย');
            } else {
                return back()->withErrors('เพิ่มข้อมูลผู้ผลิตผิดพลาด');
            }
        } else {
            return back()->withErrors('ชื่อผู้ผลิตที่จะเพิ่ม ซ้ำ!');
        }
    }

    public function edit($id)
    {
        $data = [
            'supplier' => Supplier::where('id', $id)->firstOrFail()
        ];
        return view('backend.stock_supplier_edit', $data);
    }

    public function update(SupplierRequest $request, $id = null)
    {
        if (!Supplier::where('id', '!=', $id)->where('name', $request->input('name'))->count() > 0) {
            $supplier = Supplier::findOrFail($id);
            $supplier->name = $request->input('name');
            $supplier->address = $request->input('address');
            $supplier->phone = $request->input('phone');
            $supplier->status = $request->input('status');
            if ($supplier->save()) {
                return redirect('stock/supplier')->with('success', 'เปลี่ยนแปลงข้อมูลผู้ผลิตหมู่เรียบร้อย');
            } else {
                return back()->withErrors('เปลี่ยนแปลงข้อมูลผู้ผลิตผิดพลาด');
            }
        } else {
            return back()->withErrors('ชื่อผู้ผลิตที่จะแก้ไข ซ้ำ!');
        }
    }

    public function destroy($id)
    {
        $supplier = Supplier::findOrFail($id);
        if ($supplier->delete()) {
            return redirect('stock/supplier')->with('success', 'ลบข้อมูลผู้ผลิตเรียบร้อย');
        } else {
            return back()->withErrors('ลบข้อมูลผู้ผลิตผิดพลาด');
        }

    }
}
