<?php

namespace App\Http\Controllers;


use App\Http\Requests\UnitRequest;
use App\Stock;
use App\Supplier;
use App\Unit;

class UnitController extends Controller
{
    public function index()
    {
        $data = [
            'units' => Unit::all()
        ];
        return view('backend.stock_unit_manage', $data);
    }

    public function edit($id)
    {
        $data = [
            'unit' => Unit::where('id', $id)->firstOrFail(),
            'suppliers' => Supplier::pluck('name', 'id'),
        ];
        return view('backend.stock_unit_edit', $data);
    }

    public function update(UnitRequest $request, $id = null)
    {
        $unit = Unit::findOrFail(Stock::findOrFail($id)->unit_id);
        $unit->supplier_id = $request->input('supplier_id');
        $unit->name = $request->input('name');
        $unit->amount = $request->input('amount');
        $unit->price = $request->input('price');
        $unit->perpiece = $request->input('perpiece');
        if ($unit->save()) {
            $stock = Stock::where('unit_id', $unit->id)->first();
            $stock->amount = $request->input('amount') * $request->input('perpiece');
            if ($stock->save()) {
                return redirect('stock/unit')->with('success', 'เปลี่ยนแปลงข้อมูลหน่วยนับเรียบร้อย');
            } else {
                return back()->withErrors('เปลี่ยนแปลงข้อมูลส่วนสต๊อกผิดพลาด');
            }
        } else {
            return back()->withErrors('เปลี่ยนแปลงข้อมูลหน่วยนับผิดพลาด');
        }
}
}
