<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EmployeeChangePasswordRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'password' => 'required',
            'newPassword' => 'required|min:5',
            'reNewPassword' => 'required|min:5',
        ];
    }

    public function messages()
    {
        return [
            'password.required' => 'ช่องกรอกรหัสผ่านเดิมจำเป็นต้องมีข้อมูล',
            'newPassword.required' => 'ช่องกรอกรหัสผ่านใหม่จำเป็นต้องมีข้อมูล',
            'newPassword.min' => 'รหัสผ่านใหม่ไม่ควรน้อยกว่า :min ตัวอักษร',
            'reNewPassword.required' => 'ช่องกรอกยืนยันรหัสผ่านใหม่จำเป็นต้องมีข้อมูล',
            'reNewPassword.min' => 'ยืนยันรหัสผ่านใหม่ไม่ควรน้อยกว่า :min ตัวอักษร'
        ];
    }
}
