<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EmployeeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'username' => 'required|min:5',
            'password' => 'required|min:5',
            'repassword' => 'required|min:5',
            'type' => 'required',
            'fullname' => 'required',
            'idcard' => 'min:13|numeric',
            'day' => 'required',
            'month' => 'required',
            'year' => 'required',
            'phone' => 'min:9|numeric'
        ];
    }

    public function messages()
    {
        return [
            'username.required' => 'ช่องกรอกชื่อผู้ใช้จำเป็นต้องมีข้อมูล',
            'username.min' => 'ชื่อผู้ใช้ไม่ควรน้อยกว่า :min ตัวอักษร',
            'password.required' => 'ช่องกรอกรหัสผ่านจำเป็นต้องมีข้อมูล',
            'password.min' => 'รหัสผ่านไม่ควรน้อยกว่า :min ตัวอักษร',
            'repassword.required' => 'ช่องกรอกยืนยันรหัสผ่านจำเป็นต้องมีข้อมูล',
            'repassword.min' => 'ยืนยันรหัสผ่านไม่ควรน้อยกว่า :min ตัวอักษร',
            'type.required' => 'ควรเลือกตำแหน่งให้ถูกต้อง',
            'fullname.required' => 'ช่องกรอก ชื่อ-นามสกุล จำเป็นต้องมีข้อมูล',
            'idcard.min' => 'เลขบัตรประชาชนไม่ควรน้อยกว่า :min ตัวอักษร',
            'idcard.numeric' => 'เลขบัตรประชาชนควรเป็นตัวเลขเท่านั้น',
            'day.required' => 'ควรเลือกวันที่ให้ถูกต้อง',
            'month.required' => 'ควรเลือกเดือนให้ถูกต้อง',
            'year.required' => 'ควรเลือกปีให้ถูกต้อง',
            'phone.min' => 'หมายเลขโทรศัพท์ไม่ควรน้อยกว่า :min ตัวอักษร',
            'phone.numeric' => 'หมายเลขโทรศัพท์ควรเป็นตัวเลขเท่านั้น',
        ];
    }
}
