<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EmployeeUpdateForAdminRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'type' => 'required',
            'status' => 'required',
            'fullname' => 'required',
            'idcard' => 'min:13|numeric',
            'day' => 'required',
            'month' => 'required',
            'year' => 'required',
            'phone' => 'min:9|numeric'
        ];
    }

    public function messages()
    {
        return [
            'type.required' => 'ควรเลือกตำแหน่งให้ถูกต้อง',
            'status.required' => 'ควรเลือกสถานะพนักงานให้ถูกต้อง',
            'fullname.required' => 'ช่องกรอก ชื่อ-นามสกุล จำเป็นต้องมีข้อมูล',
            'idcard.min' => 'เลขบัตรประชาชนไม่ควรน้อยกว่า :min ตัวอักษร',
            'idcard.numeric' => 'เลขบัตรประชาชนควรเป็นตัวเลขเท่านั้น',
            'day.required' => 'ควรเลือกวันที่ให้ถูกต้อง',
            'month.required' => 'ควรเลือกเดือนให้ถูกต้อง',
            'year.required' => 'ควรเลือกปีให้ถูกต้อง',
            'phone.min' => 'หมายเลขโทรศัพท์ไม่ควรน้อยกว่า :min ตัวอักษร',
            'phone.numeric' => 'หมายเลขโทรศัพท์ควรเป็นตัวเลขเท่านั้น',
        ];
    }
}
