<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'category_id' => 'required|numeric',
            'location_id' => 'required|numeric',
            'supplier_id' => 'required|numeric',
            'name' => 'required',
            'price' => 'required|numeric',
            'unit_perpiece' => 'required|numeric',
            'unit_name' => 'required',
            'unit_amount' => 'required|numeric',
            'unit_price' => 'required|numeric'
        ];
    }

    public function messages()
    {
        return [
            'category_id.required' => 'ควรเลือกหมวดหมู่ให้ถูกต้อง',
            'category_id.numeric' => 'ควรเลือกหมวดหมู่ให้ถูกต้อง',
            'location_id.required' => 'ควรเลือกสถานที่เก็บให้ถูกต้อง',
            'location_id.numeric' => 'ควรเลือกสถานที่เก็บให้ถูกต้อง',
            'supplier_id.required' => 'ควรเลือกผู้ผลิตให้ถูกต้อง',
            'supplier_id.numeric' => 'ควรเลือกผู้ผลิตให้ถูกต้อง',
            'name.required' => 'ช่องกรอกชื่อสินค้าจำเป็นต้องมีข้อมูล',
            'price.required' => 'ข้อมูลราคาต่อชิ้นจำเป็นต้นมีข้อมูล',
            'price.numeric' => 'ควรมีข้อมูลราคาต่อชิ้นเป็นตัวเลข',
            'unit_name.required' => 'ช่องกรอกชื่อหน่วยนับจำเป็นต้องมีข้อมูล',
            'unit_amount.required' => 'ข้อมูลจำนวนต่อหน่วยจำเป็นต้นมีข้อมูล',
            'unit_amount.numeric' => 'ควรมีข้อมูลจำนวนต่อหน่วยเป็นตัวเลข',
            'unit_perpiece.required' => 'ข้อมูลหน่วยต่อชิ้นจำเป็นต้นมีข้อมูล',
            'unit_perpiece.numeric' => 'ควรมีข้อมูลหน่วยต่อชิ้นเป็นตัวเลข',
            'unit_price.required' => 'ข้อมูลราคาต่อหน่วยจำเป็นต้นมีข้อมูล',
            'unit_price.numeric' => 'ควรมีข้อมูลราคาต่อหน่วยเป็นตัวเลข'
        ];
    }
}
