<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ProductUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'category_id' => 'required|numeric',
            'name' => 'required|min:5',
            'price' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'category_id.required' => 'ควรเลือกหมวดหมู่ให้ถูกต้อง',
            'category_id.numeric' => 'ควรเลือกหมวดหมู่ให้ถูกต้อง',
            'name.required' => 'ช่องกรอกชื่อสินค้าจำเป็นต้องมีข้อมูล',
            'name.min' => 'ชื่อสินค้าไม่ควรน้อยกว่า :min ตัวอักษร',
            'price.required' => 'ราคาขายควรมีข้อมูล',
        ];
    }
}
