<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SupplierRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'address' => 'required',
            'phone' => 'min:9|numeric'
        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'ช่องกรอกชื่อผู้ผลิตจำเป็นต้องมีข้อมูล',
            'address.required' => 'ช่องกรอกที่อยู่ผู้ผลิตจำเป็นต้องมีข้อมูล',
            'phone.min' => 'หมายเลขโทรศัพท์ไม่ควรน้อยกว่า :min ตัวอักษร',
            'phone.numeric' => 'หมายเลขโทรศัพท์ควรเป็นตัวเลขเท่านั้น'
        ];
    }
}
