<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UnitRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'amount' => 'required|numeric',
            'price' => 'required|numeric',
            'perpiece' => 'required|numeric'
        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'ช่องกรอกชื่อหน่วยนับจำเป็นต้องมีข้อมูล',
            'amount.required' => 'ช่องกรอกจำนวนจำเป็นต้องมีข้อมูล',
            'amount.numeric' => 'จำนวนควรเป็นตัวเลขเท่านั้น',
            'price.required' => 'ช่องกรอกราคาต่อหน่วยจำเป็นต้องมีข้อมูล',
            'price.numeric' => 'ราคาต่อหน่วยควรเป็นตัวเลขเท่านั้น',
            'perpiece.required' => 'ช่องกรอกชิ้นต่อหน่วยจำเป็นต้องมีข้อมูล',
            'perpiece.numeric' => 'ชิ้นต่อหน่วยควรเป็นตัวเลขเท่านั้น'
        ];
    }
}
