@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> บัญชี
                <div class="btn-group pull-right">
                    <a href="{!! url('stock/account/days') !!}" type="button" class="btn btn-xs btn-warning">รายวัน</a>
                    <a type="button" class="btn btn-xs btn-warning disabled">รายเดือน</a>
                    <a href="{!! url('stock/account/years') !!}" type="button" class="btn btn-xs btn-warning">รายปี</a>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="accountTable">
                    <thead>
                    <tr>
                        <th>เดือน / ปี</th>
                        <th>ยอดขาย</th>
                        <th>รายจ่าย</th>
                        <th>รายรับ</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($sales as $sale => $value)
                        <?php
                        $costPriceInDate = 0;
                        $yearAndMonth = \Carbon\Carbon::createFromFormat('Y-m', $sale);
                        $saleDetails = \App\SaleDetail::whereYear('created_at', $yearAndMonth->format('Y'))->whereMonth('created_at', $yearAndMonth->format('m'))->get();
                        foreach ($saleDetails as $saleDetail) {
                            $costPriceInDate += ($saleDetail->product->costprice * $saleDetail->amount);
                        }
                        ?>
                        <tr>
                            <td>{!! \Carbon\Carbon::createFromFormat('Y-m', $sale)->format("F").' / '.\Carbon\Carbon::createFromFormat('Y-m', $sale)->format("Y") !!}</td>
                            <td>{!! number_format($value->sum('price_total'),2) !!}</td>
                            <td>{!! number_format($costPriceInDate,2) !!}</td>
                            <td>{!! number_format(($value->sum('price_total') - $value->sum('costprice_total')),2) !!}</td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#accountTable').DataTable({
                "order": [[1, "desc"]],
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
