@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-map-marker"></i> สถานที่เก็บ
                <ul class="nav nav-pills pull-right">
                    <li>
                        <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/location/create') !!}','เพิ่มสถานที่เก็บ');"
                           class=" btn-primary"><i
                                    class="fa fa-plus"></i></a>
                    </li>
                </ul>
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="locationTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>ชื่อ</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($locations as $location)
                        <tr>
                            <td width="10%">{!! $i !!}</td>
                            <td>{!! $location->name !!}</td>
                            <td class="pull-right">
                                <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/location/edit/'.$location->id) !!}','แก้ไขสถานที่เก็บ');"
                                   class="btn btn-warning btn-xs"
                                   data-toggle="tooltip" data-placement="top" title="" data-original-title="แก้ไข"><i class="fa fa-pencil-square-o"
                                                                     aria-hidden="true"></i></a>
                                @if(Auth::user()->type == 0)
                                    <a href="javascript:alert.delete('{!! url('stock/location/destroy/'.$location->id) !!}');"
                                       class="btn btn-danger btn-xs"
                                       data-toggle="tooltip" data-placement="top" title="" data-original-title="ลบ"><i class="fa fa-times" aria-hidden="true"></i></a>
                                @endif
                            </td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#locationTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
