@extends('layout.backend.master')
@section('content')
    <section class="scrollable">
        <section class="panel panel-default">
            <div class="panel-body m-t-md">
                {!! Form::open(array('url' => url('stock/product/addStore/'.$product->id), 'class' => 'form-horizontal')) !!}
                <div class="form-group">
                    <label class="col-sm-2 control-label">ผู้ผลิต : </label>
                    <div class="col-sm-9">
                        {!! Form::select('supplier_id', $suppliers, old('supplier_id'), array('class' => 'form-control m-b')) !!}
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">สถานที่เก็บ : </label>
                    <div class="col-sm-9">
                        {!! Form::select('location_id', $locations, old('location_id'), array('class' => 'form-control m-b')) !!}
                    </div>
                </div>
                <div class="line line-dashed line-lg pull-in"></div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">ชื่อหน่วยนับ : </label>
                    <div class="col-sm-9">
                        {!! Form::text('unit_name', old('unit_name'), array('class' => 'form-control', 'placeholder' => 'ชื่อหน่วยนับ')) !!}
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">จำนวน/หน่วย : </label>
                    <div class="col-sm-9">
                        {!! Form::number('unit_amount', old('unit_amount'), array('class' => 'form-control', 'placeholder' => 'จำนวน/หน่วย', 'min' => 0)) !!}
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">ชิ้น/หน่วย : </label>
                    <div class="col-sm-9">
                        {!! Form::number('unit_perpiece', old('unit_perpiece'), array('class' => 'form-control', 'placeholder' => 'ชิ้น/หน่วย', 'min' => 0)) !!}
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">ราคา/หน่วย : </label>
                    <div class="col-sm-9">
                        {!! Form::number('unit_price', old('unit_price'), array('class' => 'form-control', 'placeholder' => 'ราคา/หน่วย', 'step' => 'any', 'min' => 0)) !!}
                    </div>
                </div>
                <div class="line line-dashed line-lg pull-in"></div>
                <div class="form-group">
                    <div class="col-sm-3 col-sm-offset-2">
                        {!! Form::button('เพิ่ม' , array('class' => 'btn btn-primary btn-s-md form-control', 'type' => 'submit')) !!}
                    </div>
                </div>
                {!! Form::close() !!}
            </div>
        </section>
    </section>
@endsection
