@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-cubes"></i> สินค้า
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="productTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>บาร์โค้ด</th>
                        <th>ชื่อ</th>
                        <th>หมวดหมู่</th>
                        <th>จำนวน</th>
                        <th>ราคาต้นทุน</th>
                        <th>ราคาขาย</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($products as $product)
                        <tr>
                            <td width="10%">{!! $i !!}</td>
                            <td>{!! $product->barcode !!}</td>
                            <td>{!! $product->name !!}</td>
                            <td>{!! $product->category->name !!}</td>
                            <td>{!! $product->amount !!}</td>
                            <td>{!! number_format($product->costprice, 2) !!}</td>
                            <td>{!! number_format($product->price, 2) !!}</td>
                            <td class="pull-right">
                                <a href="{!! url('stock/product/addView/'.$product->id) !!}"
                                   class="btn btn-success btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="เพิ่มสินค้า"><i class="fa fa-plus"
                                                                                                                                                          aria-hidden="true"></i></a>
                                <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/product/pickUpView/'.$product->id) !!}','เบิกสินค้า');"
                                   class="btn btn-dark btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="เบิกสินค้า"><i class="fa fa-shopping-basket"
                                                                     aria-hidden="true"></i></a>
                                <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/product/edit/'.$product->id) !!}','แก้ไขข้อมูลสินต้า');"
                                   class="btn btn-warning btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="แก้ไขข้อมูลสินต้า"><i class="fa fa-pencil-square-o"
                                                                     aria-hidden="true"></i></a>
                                @if(Auth::user()->type == 0)
                                    <a href="javascript:alert.delete('{!! url('stock/product/destroy/'.$product->id) !!}');"
                                       class="btn btn-danger btn-xs" data-toggle="tooltip" data-placement="top" title="" data-original-title="ลบ"><i class="fa fa-times" aria-hidden="true"></i></a>
                                @endif
                            </td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#productTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
