@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> ข้อมูลสต๊อก
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="stockTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>รหัสสต๊อก</th>
                        <th>ชื่อสินค้า</th>
                        <th>รหัสสินค้า</th>
                        <th>สถานที่เก็บ</th>
                        <th>หน่วยคงเหลือ</th>
                        <th>คงเหลือ</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($stocks as $stock)
                        <tr>
                            <td width="10%">{!! $i !!}</td>
                            <td>{!! $stock->code !!}</td>
                            <td>{!! $stock->product->name !!}</td>
                            <td>{!! $stock->product->barcode !!}</td>
                            <td>{!! $stock->location->name !!}</td>
                            <td>{!! floor($stock->amount / $stock->unit->perpiece).' '.$stock->unit->name !!}</td>
                            <td>{!! $stock->amount % $stock->unit->perpiece.' ชิ้น' !!}</td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#stockTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
