@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> ประวัติการดำเนินการสต๊อก
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="stockLogTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>วันที่ / เวลา</th>
                        <th>การดำเนินการ</th>
                        <th>ชื่อสินค้า</th>
                        <th>รหัสสินค้า</th>
                        <th>สถานที่เก็บ</th>
                        <th>จำนวนเบิก</th>
                        <th>ผู้ดำเนินการ</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($stockLogs as $stockLog)
                        <tr>
                            <td width="10%">{!! $i !!}</td>
                            <td>{!! \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $stockLog->created_at)->format("d F Y H:i") !!}</td>
                            <td>{!! $stockLog->type == 0 ? 'นำเข้าสินค้า' : 'เบิกสินค้า' !!}</td>
                            <td>{!! $stockLog->product_name !!}</td>
                            <td>{!! $stockLog->product_barcode !!}</td>
                            <td>{!! $stockLog->location !!}</td>
                            <td>{!! $stockLog->amount !!}</td>
                            <td>{!! $stockLog->fullname !!}</td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#stockLogTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
