@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list" aria-hidden="true"></i> รายงานการขาย
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="saleTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>รหัสการขาย</th>
                        <th>ผู้ขาย</th>
                        <th>ยอดขาย</th>
                        <th>วันที่ / เวลา</th>
                        <th>เงินที่รับ</th>
                        <th>ทอน</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($sales as $sale)
                        <tr>
                            <td width="10%">{!! $i !!}</td>
                            <td>{!! $sale->sale_code !!}</td>
                            <td>{!! $sale->user_fullname !!}</td>
                            <td>{!! $sale->price_total !!}</td>
                            <td>{!! \Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $sale->created_at)->format("d F Y H:i") !!}</td>
                            <td>{!! $sale->cash !!}</td>
                            <td>{!! $sale->change !!}</td>
                            <td class="pull-right">
                                <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/sale/detailView/'.$sale->id) !!}','รายละเอียดการขาย');"
                                   class="btn btn-warning btn-xs"><i class="fa fa-search"
                                                                     aria-hidden="true"></i></a>
                                @if($sale->status == 1)
                                    <a href="javascript:alert.change('{!! url('stock/sale/cancelSale/'.$sale->id) !!}');"
                                       class="btn btn-danger btn-xs"><i class="fa fa-eraser"
                                                                        aria-hidden="true"></i> ยกเลิกรายการขาย</a>
                                @else
                                    <a href=""
                                       class="btn btn-default btn-xs disabled"><i class="fa fa-eraser"
                                                                                  aria-hidden="true"></i>
                                        ยกเลิกรายการขาย</a>
                                @endif
                            </td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#saleTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
