@extends('layout.backend.master')
@section('link')
    <link rel="stylesheet" href="{!! url('notebook_template/js/datatables/datatables.css') !!}"
          type="text/css"/>
@endsection
@section('content')
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-ticket" aria-hidden="true"></i> หน่วยนับ
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="unitTable">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>ชื่อสินค้า</th>
                        <th>ผู้ผลิต</th>
                        <th>หน่วยนับ</th>
                        <th>จำนวน</th>
                        <th>ชิ้น/หน่วย</th>
                        <th>ราคา/หน่วย</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    @foreach($units as $unit)
                        <tr>
                            <td width="10%">{!! $i !!}</td>
                            <td>{!! \App\Stock::where('unit_id', $unit->id)->first()->product->name !!}</td>
                            <td>{!! $unit->supplier->name !!}</td>
                            <td>{!! $unit->name !!}</td>
                            <td>{!! $unit->amount !!}</td>
                            <td>{!! $unit->perpiece !!}</td>
                            <td>{!! number_format($unit->price, 2) !!}</td>
                            <td class="pull-right">
                                @if($unit->status == 0)
                                    <a href="javascript:custom.lunchModalAndGetPage('{!! url('stock/unit/edit/'.$unit->id) !!}','แก้ไขข้อมูลหน่วยนับ');"
                                       class="btn btn-warning btn-xs" data-toggle="tooltip" data-placement="top"
                                       title=""
                                       data-original-title="แก้ไขข้อมูลหน่วยนับ"><i class="fa fa-pencil-square-o"
                                                                                    aria-hidden="true"></i></a>
                                @endif
                            </td>
                        </tr>
                        <?php $i++; ?>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </section>
    </section>
@endsection

@section('script')
    <script src="{!! url('bower_components/datatables/media/js/jquery.dataTables.min.js') !!}"></script>
    <script>
        $(document).ready(function () {
            $('#unitTable').DataTable({
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
@endsection
