<!DOCTYPE html>
<html lang="en" class="app">
<head>
    <meta charset="utf-8"/>
    <title>STOCK</title>
    <meta name="description"
          content="app, web app, responsive, admin dashboard, admin, flat, flat ui, ui kit, off screen nav"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link rel="stylesheet" href="{!! url('bower_components/bootstrap/dist/css/bootstrap.min.css') !!}" type="text/css"/>
    <link rel="stylesheet" href="{!! url('bower_components/animate.css/animate.min.css') !!}" type="text/css"/>
    <link rel="stylesheet" href="{!! url('bower_components/font-awesome/css/font-awesome.min.css') !!}"
          type="text/css"/>
    <link rel="stylesheet" href="{!! url('notebook_template/css/font.css') !!}" type="text/css"/>
    <link rel="stylesheet" href="{!! url('notebook_template/css/app.css') !!}" type="text/css"/>
    <link rel="stylesheet" href="{!! url('bower_components/sweetalert/dist/sweetalert.css') !!}" type="text/css"/>

    @yield('link')

    <!--[if lt IE 9]>
    <script src="js/ie/html5shiv.js"></script>
    <script src="js/ie/respond.min.js"></script>
    <script src="js/ie/excanvas.js"></script>
    <![endif]-->
</head>
<body class="">
<section class="vbox">
    @include('layout.backend.header')
    <section>
        <section class="hbox stretch">
            @include('layout.backend.sidebar')
            <section id="content">
                <section class="vbox">
                    @yield('content')
                </section>
                <a href="#" class="hide nav-off-screen-block" data-toggle="class:nav-off-screen, open" data-target="#nav,html"></a>
            </section>
            <aside class="bg-light lter b-l aside-md hide" id="notes">
                <div class="wrapper">Notification</div>
            </aside>
        </section>
    </section>
</section>

<!-- Modal -->
<div class="modal fade" id="myModalView" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="margin-top: 50px">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"></h4>
            </div>
            <div class="modal-body" id="showDataContentModal">
            </div>
        </div>
    </div>
</div>

<script src="{!! url('bower_components/jquery/dist/jquery.min.js') !!}"></script>
<!-- Bootstrap -->
<script src="{!! url('bower_components/bootstrap/dist/js/bootstrap.js') !!}"></script>
<!-- App -->
<script src="{!! url('notebook_template/js/app.js') !!}"></script>
<script src="{!! url('notebook_template/js/slimscroll/jquery.slimscroll.min.js') !!}"></script>
<script src="{!! url('notebook_template/js/app.plugin.js') !!}"></script>
<script src="{!! url('bower_components/sweetalert/dist/sweetalert.min.js') !!}"></script>
<script src="{!! url('js/custom.js') !!}"></script>

@if(Session::has('success'))
    <script>
        alert.message('สำเร็จ', '{{Session::get('success')}}', 'success');
    </script>
@elseif($errors->any())
    <script>
        alert.message('ผิดพลาด', '{!! $errors->first() !!}', 'error');
    </script>
@endif

@yield('script')

</body>
</html>