<?php $__env->startSection('link'); ?>
    <link rel="stylesheet" href="<?php echo url('notebook_template/js/datatables/datatables.css'); ?>"
          type="text/css"/>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <section class="scrollable padder m-t-lg">
        <section class="panel panel-default">
            <div class="panel-heading font-bold">
                <i class="fa fa-list"></i> บัญชี
                <div class="btn-group pull-right">
                    <a type="button" class="btn btn-xs btn-warning disabled">รายวัน</a>
                    <a href="<?php echo url('stock/account/months'); ?>" type="button"
                       class="btn btn-xs btn-warning">รายเดือน</a>
                    <a href="<?php echo url('stock/account/years'); ?>" type="button" class="btn btn-xs btn-warning">รายปี</a>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-striped m-b-none" id="accountTable">
                    <thead>
                    <tr>
                        <th>วันที่</th>
                        <th>ยอดขาย</th>
                        <th>รายจ่าย</th>
                        <th>รายรับ</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $sales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                        $costPriceInDate = 0;
                        $saleDetails = \App\SaleDetail::whereDate('created_at', $sale)->get();
                        foreach ($saleDetails as $saleDetail) {
                            $costPriceInDate += ($saleDetail->product->costprice * $saleDetail->amount);
                        }
                        ?>
                        <tr>
                            <td><?php echo \Carbon\Carbon::createFromFormat('Y-m-d', $sale)->format("d F Y"); ?></td>
                            <td><?php echo number_format($value->sum('price_total'),2); ?></td>
                            <td><?php echo number_format($costPriceInDate,2); ?></td>
                            <td><?php echo number_format(($value->sum('price_total') - $value->sum('costprice_total')),2); ?></td>
                        </tr>
                        <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </section>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script src="<?php echo url('bower_components/datatables/media/js/jquery.dataTables.min.js'); ?>"></script>
    <script>
        $(document).ready(function () {
            $('#accountTable').DataTable({
                "order": [[1, "desc"]],
                "sDom": "<'row'<'col-sm-6'l><'col-sm-6'f>r>t<'row'<'col-sm-6'i><'col-sm-6'p>>"
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.backend.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>