<!DOCTYPE html>
<html lang="en" class="bg-dark">
<head>
    <meta charset="utf-8"/>
    <title>Notebook | Web Application</title>
    <meta name="description"
          content="app, web app, responsive, admin dashboard, admin, flat, flat ui, ui kit, off screen nav"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
    <link rel="stylesheet" href="<?php echo url('bower_components/bootstrap/dist/css/bootstrap.min.css'); ?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo url('bower_components/animate.css/animate.min.css'); ?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo url('bower_components/font-awesome/css/font-awesome.min.css'); ?>"
          type="text/css"/>
    <link rel="stylesheet" href="<?php echo url('notebook_template/css/font.css'); ?>" type="text/css"/>
    <link rel="stylesheet" href="<?php echo url('notebook_template/css/app.css'); ?>" type="text/css"/>
    <!--[if lt IE 9]>
    <script src="js/ie/html5shiv.js"></script>
    <script src="js/ie/respond.min.js"></script>
    <script src="js/ie/excanvas.js"></script>
    <![endif]-->
</head>
<body class="">
<section id="content" class="m-t-lg wrapper-md animated fadeInUp">
    <div class="container aside-xxl">
        <a class="navbar-brand block" href="index.html">AK GIFT SHOP</a>
        <section class="panel panel-default bg-white m-t-lg">
            <header class="panel-heading text-center">
                <strong>เข้าสู่ระบบ</strong>
            </header>
            <?php echo Form::open(array('url' => route('login'), 'class' => 'panel-body wrapper-lg')); ?>

            <?php echo csrf_field(); ?>

            <div class="form-group<?php echo $errors->has('username') ? ' has-error' : ''; ?>">
                <label for="username" class="control-label">Username</label>
                <?php echo Form::text('username', old('username'), array('class' => 'form-control input-lg', 'id' => 'username', 'placeholder' => 'ชื่อผู้ใช้', 'required', 'autofocus')); ?>

            <?php if($errors->has('username')): ?>
                    <span class="help-block">
                                        <strong><?php echo $errors->first('username'); ?></strong>
                                    </span>
                <?php endif; ?>
            </div>
            <div class="form-group<?php echo $errors->has('password') ? ' has-error' : ''; ?>">
                <label for="password" class="control-label">Password</label>
                <?php echo Form::password('password', array('class' => 'form-control input-lg', 'id' => 'password', 'placeholder' => 'รหัสผ่าน', 'required')); ?>

            <?php if($errors->has('password')): ?>
                    <span class="help-block">
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                <?php endif; ?>
            </div>
            <div class="checkbox">
                <label>
                    <?php echo Form::checkbox('remember', null); ?> จดจำให้อยู่ในระบบ
                </label>
            </div>
            <?php echo Form::button('เข้าสู่ระบบ' , array('class' => 'btn btn-primary btn-block', 'type' => 'submit')); ?>

            <div class="line line-dashed"></div>
            <?php echo Form::close(); ?>

        </section>
    </div>
</section>
<!-- footer -->
<footer id="footer">
    <div class="text-center padder">
        <p>
            <small>Rattanaphon Chomchuen<br>&copy; 2017</small>
        </p>
    </div>
</footer>
<!-- / footer -->
<script src="<?php echo url('bower_components/jquery/dist/jquery.min.js'); ?>"></script>
<!-- Bootstrap -->
<script src="<?php echo url('bower_components/bootstrap/dist/js/bootstrap.js'); ?>"></script>
<!-- App -->
<script src="<?php echo url('notebook_template/js/app.js'); ?>"></script>
<script src="<?php echo url('notebook_template/js/slimscroll/jquery.slimscroll.min.js'); ?>"></script>
<script src="<?php echo url('notebook_template/js/app.plugin.js'); ?>"></script>
</body>
</html>
